This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467082 - (CVE-2008-4546) CVE-2008-4546 flash-plugin: crash caused by SWF files with different SWF versions obtained from the same URL
CVE-2008-4546 flash-plugin: crash caused by SWF files with different SWF vers...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=low,source=cve,reported=200810...
: Security
Depends On: 602582
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 12:29 EDT by Tomas Hoger
Modified: 2010-12-23 19:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 19:15:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-15 12:29:46 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4546 to the following vulnerability:

Adobe Flash Player 9.0.45.0, 9.0.112.0, 9.0.124.0, and 10.0.12.10
allows remote web servers to cause a denial of service (NULL pointer
dereference and browser crash) by returning a different response when
an HTTP request is sent a second time, as demonstrated by two
responses that provide SWF files with different SWF version numbers.

References:
http://www.mochimedia.com/~matthew/flashcrash/
http://www.securityfocus.com/archive/1/archive/1/496929/100/0/threaded
Comment 1 Tomas Hoger 2008-10-15 12:31:09 EDT
Seems to crash both 9.0.124.0 and 10.0.12.36.
Comment 2 Tomas Hoger 2009-03-12 08:50:14 EDT
Reporter confirmed that this issue still exists in flash-player 10.0.22.87:
  http://www.securityfocus.com/archive/1/501691/30/0/threaded
Comment 3 Jan Lieskovsky 2010-06-11 07:14:02 EDT
This issue affects the versions of the flash-plugin package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.
Comment 4 errata-xmlrpc 2010-06-11 12:32:20 EDT
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0464 https://rhn.redhat.com/errata/RHSA-2010-0464.html
Comment 7 Jan Lieskovsky 2010-06-15 10:50:31 EDT
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4

Via RHSA-2010:0470 https://rhn.redhat.com/errata/RHSA-2010-0470.html

Note You need to log in before you can comment on or make changes to this bug.